---
title: Find attendee by email
slug: find-attendee-by-email
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees/find/?email={emailAddress}",
  "name": "Find attendee by email",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [
      {
        "kind": "optional",
        "name": "email",
        "type": "string",
        "children": [],
        "description": "The email of the attendee you want to retrieve. This may be different from the email address in the associated invite used by the attendee."
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"982086\",\n        \"type\": \"attendee\",\n        \"attributes\": {\n            \"first-name\": \"John\",\n            \"last-name\": \"Smithsonian\",\n            \"email\": \"johnsmith@brella.io\",\n            \"company-title\": \"Chief Experience Officer\",\n            \"company-name\": \"Brella\",\n            \"group-id\": 11428,\n            \"created-at\": \"2022-04-14T09:02:01.643Z\",\n            \"updated-at\": \"2022-04-14T09:02:16.491Z\"\n        },\n        \"relationships\": {\n            \"invite\": {\n                \"data\": {\n                    \"id\": \"479048\",\n                    \"type\": \"invite\"\n                }\n            },\n            \"event\": {\n                \"data\": {\n                    \"id\": \"5902\",\n                    \"type\": \"event\"\n                }\n            }\n        }\n    },\n    \"included\": [\n        {\n            \"id\": \"479048\",\n            \"type\": \"invite\",\n            \"attributes\": {\n                \"fill-token\": \"NBIRCV\",\n                \"external-email\": \"ville@brella.io\",\n                \"external-id\": \"kzkz0-20\",\n                \"external-first-name\": \"James\",\n                \"external-last-name\": \"Bahamas\",\n                \"external-company\": \"Brella\",\n                \"external-title\": \"Founders\",\n                \"qr-string\": \"brella_invite_id=479048&brella_invite_token=NBIRCV\",\n                \"created-at\": \"2022-04-14T08:56:59.940Z\",\n                \"updated-at\": \"2023-03-27T15:45:16.515Z\",\n                \"attendee-group-name\": \"Attendees\",\n                \"seat-count\": 1,\n                \"free-seat-count\": 0\n            },\n            \"relationships\": {\n                \"attendee-group\": {\n                    \"data\": {\n                        \"id\": \"11428\",\n                        \"type\": \"attendee-group\"\n                    }\n                },\n                \"seats\": {\n                    \"data\": [\n                        {\n                            \"id\": \"828513\",\n                            \"type\": \"seat\"\n                        }\n                    ]\n                },\n                \"free-seats\": {\n                    \"data\": []\n                },\n                \"question-responses\": {\n                    \"data\": []\n                }\n            }\n        }\n    ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "Ra_ESwcsJfcIF-kmC8vxX",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees/find/?email={emailAddress}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Ra_ESwcsJfcIF-kmC8vxX"
  },
  "description": "Find a specific attendee by email address",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "find-attendee-by-email",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

